package org.jerrymouse.cc.site.store.cc;

import org.jerrymouse.cc.site.database.BaseDao;
import org.springframework.stereotype.Component;

@Component
public class CCResourceFileDao extends BaseDao<CCResourceFile> {
	private static CCResourceFileDao ccResourceFileDao = new CCResourceFileDao();

	public static CCResourceFileDao getCCResourceFileDao() {
		return ccResourceFileDao;
	}

	public CCResourceFile get(String username, String filename) {
		return get(username + "-" + filename, CCResourceFile.class);
	}

}
